<?php
/**
 * File for class DhlApiStructShip
 * @package DhlApi
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
/**
 * This class stands for DhlApiStructShip originally named Ship
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://dhl24.com.pl/webapi2.html}
 * @package DhlApi
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
class DhlApiStructShip extends DhlApiWsdlClass
{
    /**
     * The shipper
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var DhlApiStructAddressat
     */
    public $shipper;
    /**
     * The receiver
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var DhlApiStructReceiverAddressat
     */
    public $receiver;
    /**
     * The neighbour
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var DhlApiStructNeighbourAddress
     */
    public $neighbour;
    /**
     * Constructor method for Ship
     * @see parent::__construct()
     * @param DhlApiStructAddressat $_shipper
     * @param DhlApiStructReceiverAddressat $_receiver
     * @param DhlApiStructNeighbourAddress $_neighbour
     * @return DhlApiStructShip
     */
    public function __construct($_shipper = NULL,$_receiver = NULL,$_neighbour = NULL)
    {
        parent::__construct(array('shipper'=>$_shipper,'receiver'=>$_receiver,'neighbour'=>$_neighbour),false);
    }
    /**
     * Get shipper value
     * @return DhlApiStructAddressat|null
     */
    public function getShipper()
    {
        return $this->shipper;
    }
    /**
     * Set shipper value
     * @param DhlApiStructAddressat $_shipper the shipper
     * @return DhlApiStructAddressat
     */
    public function setShipper($_shipper)
    {
        return ($this->shipper = $_shipper);
    }
    /**
     * Get receiver value
     * @return DhlApiStructReceiverAddressat|null
     */
    public function getReceiver()
    {
        return $this->receiver;
    }
    /**
     * Set receiver value
     * @param DhlApiStructReceiverAddressat $_receiver the receiver
     * @return DhlApiStructReceiverAddressat
     */
    public function setReceiver($_receiver)
    {
        return ($this->receiver = $_receiver);
    }
    /**
     * Get neighbour value
     * @return DhlApiStructNeighbourAddress|null
     */
    public function getNeighbour()
    {
        return $this->neighbour;
    }
    /**
     * Set neighbour value
     * @param DhlApiStructNeighbourAddress $_neighbour the neighbour
     * @return DhlApiStructNeighbourAddress
     */
    public function setNeighbour($_neighbour)
    {
        return ($this->neighbour = $_neighbour);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see DhlApiWsdlClass::__set_state()
     * @uses DhlApiWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return DhlApiStructShip
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
